/*
 * Copyright (C) 2005 Alfresco, Inc.
 *
 * Licensed under the Mozilla Public License version 1.1 
 * with a permitted attribution clause. You may obtain a
 * copy of the License at
 *
 *   http://www.alfresco.org/legal/license.txt
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND,
 * either express or implied. See the License for the specific
 * language governing permissions and limitations under the
 * License.
 */
package org.alfresco.filesys.netbios.server;

/**
 * NetBIOS add name listener interface.
 */
public interface AddNameListener
{
    /**
     * Signal that a NetBIOS name has been added, or an error occurred whilst trying to add a new
     * NetBIOS name.
     * 
     * @param evt NetBIOSNameEvent
     */
    public void netbiosNameAdded(NetBIOSNameEvent evt);
}